package eu.mhsl.minenet.minigames.instance.game.minigame.config.restriction.common;

import eu.mhsl.minenet.minigames.instance.game.minigame.config.restriction.IRestriction;
import eu.mhsl.minenet.minigames.instance.game.minigame.config.restriction.Restriction;
import eu.mhsl.minenet.minigames.instance.game.minigame.config.restriction.RestrictionData;

public class MaximalPlayeramountInstanceRestriction implements IRestriction {
    final private int max;

    public MaximalPlayeramountInstanceRestriction(int max) {
        this.max = max;
    }

    @Override
    public Restriction calculate(RestrictionData data) {
        return new Restriction(
                "Maxplayers",
                "Maximale spieleranzahl",
                null,
                data.getRoom().getPlayers().size() > this.max ? Restriction.Type.FAIL : Restriction.Type.OK
        );
    }
}
